package com.fjhx.area.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fjhx.area.entity.dto.AreaInfoSelectDto;
import com.fjhx.area.entity.po.AreaInfo;

import java.util.List;

/**
 * <p>
 * 国家城市表 服务类
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
public interface AreaInfoService extends IService<AreaInfo> {

    /**
     * 国家城市表列表
     */
    List<AreaInfo> getList(AreaInfoSelectDto dto);

    /**
     * 赋值地区名称
     */
    void setAreaName(List<? extends ISetAreaName> setAreaNameList);

}
